<?php

namespace App\Classes\Modules\Companies\Services;

use App\Classes\Modules\Companies\DataTransferObjects\EmployeeObject;

class CreatesCompanyEmployee
{

    public function execute(EmployeeObject $employee){
        $employee->getCompanyModule()->employees()->attach($employee->getUser(), [
            'role_id' => $employee->getRole(),
            'active' => true
        ]);


    }

}